Source

openx / RELEASE_NOTES.txt

+---------------------------------------------------------------------------+
| OpenX v2.8                                                                |
| =========                                                                 |
|                                                                           |
| Copyright (c) 2003-2009 OpenX Limited                                     |
| For contact details, see: http://www.openx.org/                           |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+

Release Notes: OpenX 2.8.10
=============================

OpenX 2.8 is the next generation release of the hugely popular OpenX
adserver.

These release notes cover what's new, system requirements, download and
installation instructions, known issues and frequently asked questions for
OpenX 2.8.10. Please read these notes before reporting any bugs.

Please tell us what you think on the OpenX forum [http://forum.openx.org/].


What's New in OpenX 2.8.10
----------------------------

 * Release date: 2012-09-12

 * For complete details, see [https://developer.openx.org/].


System Requirements
-------------------

Before installing, please make sure your server meets the system
requirements [http://www.openx.org/help/2.8/requirements].


Downloading and Installing
--------------------------

 * Downloading OpenX

   You can always find the latest version of OpenX here
   [http://www.openx.org/download].

   Older and maintenance releases can be found here
   [http://www.openx.org/support/release-archive].

 * Installing OpenX 2.8.10

   Installing OpenX 2.8.10 is a straightforward process. Follow these steps
   [http://www.openx.org/help/2.8/install] and use the links to refer to
   detailed information on each step where necessary.

 * Upgrading OpenX 2.8.10

   Upgrading to OpenX 2.8.10 is a straightforward process. Follow these steps
   [http://www.openx.org/help/2.8/install] and use the links to refer to
   detailed information on each step where necessary.

   Please note: The upgrade process will upgrade your OpenX database,
   and the database may no longer be compatible with your old code base.
   Therefore, you should create a backup of your database, just in case.

   The upgrade wizard supports upgrading from the following previous
   releases of OpenX:

   ---------------------------------------------------------------
   | Product                             | Version(s)            |
   ---------------------------------------------------------------
   | OpenX 2.7 beta                      | All previous versions |
   ---------------------------------------------------------------
   | OpenX 2.6                           | All versions          |
   ---------------------------------------------------------------
   | OpenX 2.4                           | All versions          |
   ---------------------------------------------------------------
   | Openads 2.4                         | All versions          |
   ---------------------------------------------------------------
   | Openads 2.0 for MySQL               | 2.0.11-pr1            |
   |   (formerly phpAdsNew)              |                       |
   ---------------------------------------------------------------
   | Openads 2.3 alpha                   | 2.3.31-alpha-pr3      |
   |   (formerly Max Media Manager v0.3) |   (v0.3.31-alpha-pr3) |
   ---------------------------------------------------------------
   | Openads 2.3 beta                    | All versions          |
   ---------------------------------------------------------------
   | Max Media Manager v0.1              | v0.1.29-rc            |
   ---------------------------------------------------------------
   | Openads 2.0 for PostgreSQL          | 2.0.11-pr1            |
   |  (formerly phpPgAds)                |                       |
   ---------------------------------------------------------------

   If you are not running one of these versions, you will need to upgrade
   your existing installation before you will be able to upgrade to
   OpenX 2.8.10.

 * Uninstalling OpenX 2.8.10

   To remove OpenX from your server delete the installed files and
   database tables.


Known Issues
------------

This list covers some of the known problems with OpenX 2.8.10. Please
read this before reporting any new bugs.

 * The upgrade process may time out with very large databases. See the FAQ
   [http://www.openx.org/help/2.8/faq/large-db] for more information if you
   have a large database.

 * OpenX 2.8 requires PHP 5. If you are using PHP 4, you will need to
   update your web server to use PHP 5 before upgrading.

 * If you want to run OpenX with MySQL, please note that OpenX 2.8 requires
   MySQL 4.1 or higher. If you are using an older version of MySQL, you will
   need to update you database software before upgrading.

 * If you want to run OpenX with PostgreSQL, please note that OpenX 2.8
   requires PostgreSQL 8.1 or higher. If you are using an older version of
   PostgreSQL, you will need to update your database software before
   upgrading.

 * Some of the PEAR libraries used are not compatible with database prefix
   names with double "_" characters (e.g. "ox__"). You should NOT install
   OpenX with a prefix of this format.

 * Some users have reported issues of being logged out when viewing
   statistics. This can be worked around by ensuring that the timezone is
   correctly set in PHP
   [http://www.openx.org/help/2.8/timezone-settings].

 * Viewing, editing and updating Payment Details and Payment History when using
   OpenX Market Plugin currently doesn't work on the Safari browsers with
   default cookie settings. Please see more details here:
   https://developer.openx.org/jira/browse/OXPL-126

 * See [https://developer.openx.org/jira/] for the latest bug reports.


FAQ
---

 1. What can I do to help?

    We need help from both developers and users to provide as much feedback
    as possible to make OpenX even better. Please read these notes on how to
    report a bug [http://www.openx.org/help/2.8/reporting-bugs] before
    reporting any bugs. You can also give us your feedback through the
    OpenX forum [http://forum.openx.org/].

 2. Can I upgrade from phpAdsNew?

    Yes. phpAdsNew was rebranded as Openads 2.0. You will need to ensure you
    first upgrade to the latest version of Openads 2.0 before using the OpenX
    2.8 upgrade wizard.

    However, please note that OpenX 2.8 requires PHP 5, and also a more modern
    version of MySQL or PostgreSQL than phpAdsNew did. Please see the Known
    Issues section above for more details.

 3. Can I upgrade from Openads?

    Yes. Openads was rebranded as OpenX. You will be able to upgrade from any
    version of Openads.

    However, please note that OpenX 2.8 requires PHP 5, and also a more modern
    version of MySQL or PostgreSQL than previous versions of Openads did.
    Please see the Known Issues section above for more details.

 4. Does OpenX 2.8.10 support PostgreSQL?

    Yes, OpenX 2.8 reintroduces support for PostgreSQL, although it is still
    experimental support. Please help us improve it by reporting bugs
    [http://www.openx.org/help/2.8/reporting-bugs].

 5. Where do I go for support?

    Support is provided through the OpenX forum [http://forum.openx.org/].
    In this way, we hope that the whole community benefits from the answers
    given.

 6. Where's the source code?

    You can access the OpenX source code using subversion. See our developer
    website [https://developer.openx.org/].